<div>
  <div style="color: white;font-family: arial">
    <input type="radio" name="type" id="tiles" [(ngModel)]="game.mapEditor.selectedTab" [value]="0" /><label for="tiles">Tiles</label>
    <input type="radio" name="type" id="items" [(ngModel)]="game.mapEditor.selectedTab" [value]="1" /><label for="items">Items</label> 
    <input type="radio" name="type" id="creatures" [(ngModel)]="game.mapEditor.selectedTab" [value]="2" /><label for="creatures">Creatures</label> 
  </div>
  <div class="tiles-container">
    <div *ngIf="game.mapEditor.selectedTab == 0">
      <div *ngFor="let tile of tiles; let i = index" (click)="selectTile(i)" 
        class="tile" [ngClass]="{'selected':isTileSelected(i)}">
        <img class="tile__img" [ngStyle]="{background:getTileSprite(tile)}" />
        <div class="tile__name">{{i.toString() + ' - ' +tile.name}}</div>
      </div>
    </div>
    <div *ngIf="game.mapEditor.selectedTab == 1">
      <div *ngFor="let item of itemsDefinition; let i = index" (click)="selectItem(i)" 
        class="tile" [ngClass]="{'selected':isItemSelected(i)}">
        <img class="tile__img" [ngStyle]="{background:getItemSprite(item)}" />
        <div class="tile__name">{{i.toString() + ' - ' + item.name}}</div>
      </div>
    </div>    
    <div *ngIf="game.mapEditor.selectedTab == 2">
      <div *ngFor="let monster of monstersDefinition; let i = index" (click)="selectMonster(i)" 
        class="tile" [ngClass]="{'selected':isMonsterSelected(i)}">
        <img class="tile__img" [ngClass]="{tile__img_4_4:getMonsterSpriteStyle(monster)}" [ngStyle]="{background:getMonsterSprite(monster)}" />
        <div class="tile__name">{{i.toString() + ' - ' + monster.name}}</div>
      </div>
    </div>    
  </div>
  <div class="btns-container">
    <button (click)="cleanTileSelection()">Unselect</button>
    <button (click)="mapToClipboard()">Clipboard Map</button>
    <button (click)="selecteEraser()">Eraser</button>
  </div>
</div>